Subject: Re: [PATCH] osxkeychain: lock for exclusive execution

From: Junio C Hamano <[email-masked]>
Date: Fri, 10 May 2024 15:50:35 -0700

Jeff King <[email-masked]> writes:

> I do think brian's suggestion to use state[] to pass it back means that
> the decision is then in the hands of the helper. So "credential-cache",
> for example, could decide whether to refresh its ttl or not, or we could
> even make it configurable with a command-line option for the helper.

Yeah, I read your discussion with brian, and the state[] thing all
made sense to me.

Thanks.